/**************** GENERAL ****************/
@font-face{
    font-family: big_noodle_titling;
    src: url("../fonts/big_noodle_titling.ttf");
}

html, body{
    margin: 0;
    padding: 0;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: #161616;
}

h1{
    font-family: big_noodle_titling;
    font-size: 7em;
    letter-spacing: 8px;
    font-weight: 100;
}

.card{
    width: 60%;
    margin-left: 20%;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0px 3px 15px #aaaaaa;
    margin-bottom: 1.5em;
    opacity: .5;
}

.active{
    opacity: 1;
}

.clear{
    display: none;
    clear: both;
}

/***************** HEADER ****************/
header{
    width: 100%;
    position: fixed;
    top: 0;
    display: flex;
    flex-direction: column;
    background-color: white;
    z-index: 1;
    padding-bottom: .8em;
}

#logo{
    width: 8%;
    min-height: 1px; /* Fixes IE bug*/
    margin: 2em 45% .5em;
}

#logo-img:hover{
    cursor: pointer;
}

nav{
    width: 60%;
    margin-left: 20%;
    display: flex;
    justify-content: space-between;
}

#nav-btns{
    width: 100%;
    display: flex;
    justify-content: space-between;
}

#hamburger-menu {
    animation-duration: 300ms;
    animation-timing-function: steps(18);
    animation-fill-mode: forwards;
    width: 28px;
    height: 28px;
    background-repeat: no-repeat;
    cursor: pointer;
    display: none;
}

@keyframes play {
    0% {
        background-position: 0px 0px;
    }
    100% {
        background-position: -504px 0px;
    }
}

.play {
animation-name: play;
}

@keyframes rewind {
    0% {
        background-position: -504px 0px;
    }
    100% {
        background-position: 0px 0px;
    }
}

.reverse{
    animation-name: rewind;
}

.nav-btn{
    padding: 0 2em 0;
}

.nav-btn:hover{
    cursor: pointer;
}

.nav-current{
    border-bottom: 5px solid #ffc634;
    /* border-right: 1px solid #e0e0e0;
    border-left: 1px solid #e0e0e0; */
}

h2{
    font-family: big_noodle_titling;
    font-weight: 100;
    font-size: 1.2em;
    letter-spacing: .1em;
    margin-bottom: -.4em;
}

/**************** HOME ****************/
#home{
    /* margin-top: 25vh; */
    background-color: rgb(255, 255, 255);
    padding: 0;
    /*display: flex;
    flex-direction: column;*/
}

#slideshow{
    width: 100%;
    margin-top: -15%;
    /*margin-left: 3%;*/
    padding: 0;
    margin: 0;
}

.mySlides{
    width: 100%;
    padding: 0;
    margin: 0;
    vertical-align: top;
    filter: grayscale(100%);
    /*border-radius: 8px;*/
}

.animate-fade{
    animation: fading 6s infinite;
}   
@keyframes fading{
    0%{opacity: 0}
    20%{opacity: 1}
    80%{opacity: 1}
    100%{opacity: 0}
}

/**************** ABOUT ****************/
#about{
    background-color: #ffc634;
    box-sizing: border-box;
    display: flex;
    align-items: center;
}

#about-text{
    float: left;
    margin: 1.5em 5%;
    width: 50%;
    column-count: 2;
}

#about-text :nth-child(2){
    margin-top: 0;
}

#about-heading{
    font-size: 10vh;
    margin: -.1em 0 0;
}

#about-img{
    float: left;
    width: 35%;
    margin-right: 5%;
    height: 100%;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0px 3px 15px #aaaaaa;
}

#about-img img{
    width: 100%;
    vertical-align: top;
}

/**************** GALLERY ****************/
#gallery{
    background-color: #ffffff;
}

#gallery-heading{
    margin: -.2em 0 0;
    font-size: 10vh;
}

#gallery-container{
    width: 94%;
    margin-left: 3%;
    padding: 2em 0;
    column-count: 3;
    column-gap: 1em;
}

.zoom-icon{
    background-image: url("../icons/zoom.png");
    background-size: contain;
    background-repeat: no-repeat;
    width: 3em;
    height: 3em;
}

.zoom-icon,
.cta-text{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    z-index: 0;
    opacity: 0;
    transition: .5s ease;
    pointer-events: none;
}

.cta-text{
    margin: 0;
    font-family: big_noodle_titling;
    font-weight: 100;
    letter-spacing: 1em;
    line-height: 1.5em;
    text-align: center;
}

.gallery-img-container:hover .zoom-icon,
.gallery-img-container:focus .zoom-icon,
.gallery-img-container:hover .cta-text,
.gallery-img-container:focus .cta-text{
    opacity: 1;
}

.gallery-img-container{
    position: relative;
    margin-bottom: 1em;
    cursor: pointer;
}

.gallery-img-container:hover .gallery-img,
.gallery-img-container:focus .gallery-img{
    opacity: .3;
    filter: none;
}

.gallery-img{
    /* display: block; */
    width: 100%;
    filter: grayscale(100%);
    opacity: 1;
    transition: .5s ease;
}

#modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 2; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

#modal-img {
    margin: auto;
    display: block;
    max-width: 80%;
    max-height: 80vh;
}

#caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}

#modal-img, #caption {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {transform:scale(0)}
    to {transform:scale(1)}
}

#close-btn {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

#close-btn:hover,
#close-btn:focus {
    color: #ffc634;
    text-decoration: none;
    cursor: pointer;
}

/**************** CONTACT ****************/
#contact{
    background-color: #ffc634;
    margin-bottom: 4em;
}

#contact h1{
    font-size: 10vh;
    padding-top: .2em;
    margin: 0;
    text-align: center;
}

.error,
.success{
    width: 40%;
    margin-left: 30%;
    padding: 1em 0;
    text-align: center;
    border-radius: 12px;
    box-shadow: 0px 3px 15px #aaaaaa;
}

.error{
    background-color: #ff7171;
}

.success{
    background-color: rgb(130, 255, 130);
}

form{
    width: 40%;
    margin-left: 30%;
    padding: 1em 0 2em;
}

label{
    display: block;
    margin-bottom: .5em;
}

input[type=text]{
    height: 2.5em;
}

textarea{
    resize: none;
    height: 8em;
    padding-top: .5em;
}

input[type=text], textarea{
    width: 100%;
    border: none;
    margin-bottom: 1.5em;
    box-sizing: border-box;
    padding-left: 1em;
    font-size: 1rem;
}

input[type=text],
textarea,
input[type=text]::placeholder, 
textarea::placeholder{
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

input[type=submit]{
    width: 40%;
    margin: 1.5em 30% 0;
    height: 3em;
    border: 2px solid #ffc634;
    cursor: pointer;
}

textarea, 
input[type=text],
input[type=submit]{
    border-radius: 8px;
}

/**************** MEDIA QUERIES ****************/
@media only screen and (max-width: 1300px){
    .card, nav{
        width: 70%;
        margin-left: 15%;
    }
}

@media only screen and (max-width: 1100px){
    .card, nav{
        width: 80%;
        margin-left: 10%;
    }
}

@media only screen and (max-width: 950px){
    .card, nav{
        width: 100%;
        margin-left: 0;
    }
}

@media only screen and (max-width: 600px){
    #logo{
        width: 20%;
        margin-left: 40%;
        margin-bottom: -3.2em;
        margin-top: 1em;
    }

    header{
        padding-bottom: 2em;
    }

    nav{
        flex-direction: column;
        justify-content: center;
        text-align: center;
    }

    #nav-btns{
        flex-direction: column;
        justify-content: center;
        overflow: hidden;
    }

    #home-btn{
        padding-top: 1em;
    }
    
    .btns{
        display: none;
        height: 0;
        opacity: 0;
        transition: height .3s ease-in-out, opacity .6s ease-in-out;
    }

    .nav-btn{
        max-width: 30%;
        align-self: center;
    }

    .visible{
        display: block;
        height: auto;
        opacity: 1;
    }

    #hamburger-menu{
        display: flex;
        align-self: flex-end;
        margin-right: 5%;
    }

    #about-img{
        display: none;
    }

    #about-text{
        width: 90%;
        margin-left: 5%;
    }

    #gallery-container{
        column-count: 2;
    }

    #gallery-heading{
        font-size: 14vw;
    }

    .cta-text{
        font-size: 0.8em;
    }

    form{
        width: 90%;
        margin-left: 5%;
    }
}